--- title: "getTablesByDatabase" slug: "analytics-datacatalog-table-gettablesbydatabase" tags: ["Data Catalog"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-table-gettablesbydatabase" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getTablesByDatabase Available in VPC Get the list of tables in a database. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/catalogs/{catalogId}/databases/{databaseName}/tables | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | | `databaseName` | String | Required | Database name - See [getDatabases](/docs/en/analytics-datacatalog-database-getdatabases). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSize` | Integer | Optional | Page output count - 1-200 (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/databases/my_database/tables?pageNo=1&pageSize=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | - | Page number | | `pageSize` | Integer | - | Page output count | | `totalCount` | Integer | - | Number of response results | | `requestId` | String | - | ID for the request - UUID format | | `tableResponseList` | Array | - | Table list: [tableResponseList](/docs/en/analytics-datacatalog-table-gettablesbydatabase#tableResponseList) | #### `tableResponseList` The following describes `tableResponseList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | - | Catalog ID | | `tableName` | String | - | Table name | | `databaseName` | String | - | Database name | | `location` | String | - | Table location | | `dataFormat` | String | - | Data format | | `tableType` | String | - | Table type - EXTERNAL_TABLE - VIRTUAL_VIEW | | `createTime` | String | - | Table creation date and time - ISO 8601 format | | `updateTime` | String | - | Update date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "pageNo": 1, "pageSize": 20, "totalCount": 2, "requestId": "570aad8d-****-****-****-898f3c1bd0d6", "tableResponseList": [ { "catalogId": 4**, "tableName": "employeelist", "databaseName": "my_database", "location": "s3a://datacatalog-c***-e******f/my_database/employeeList", "dataFormat": "csv", "tableType":"EXTERNAL_TABLE", "createTime": "2025-03-18T09:31:32+0900", "updateTime": "2025-03-18T09:52:11+0900" }, { "catalogId": 4**, "tableName": "db_metadata_json", "databaseName": "my_database", "location": "s3a://datacatalog-c***-e******f/db_metadata.json", "dataFormat": "json", "tableType":"EXTERNAL_TABLE", "createTime": "2025-03-17T16:30:43+0900", "updateTime": "2025-03-18T10:12:18+0900" } ] } ```